POST /Apply-Template/configuration/{configName}/ip/v4/address/{ipv4Address}/template/{templateName} - Adaptive Plugins - BlueCat Gateway - 20.6.1

DHCP Template Administration Guide

ft:locale
en-US
Product name
BlueCat Gateway
Version
20.6.1

Apply deployment options from an IPv4 network template to an IPv4 DHCP reserved address.

Request
POST http://<Gateway_url>/Apply-Template/configuration/{configName}/ip/v4/address/{ipv4Address}/template/{templateName}
Parameters
Parameter Description
configName The object ID of the configuration.
ipv4Address The IP address of the DHCP reserved address. For example, 10.0.0.1.
templateName The name of the IPv4 network template.
Successful response
{
    status: "SUCCESS",
    payload: {
        template_options: 2,
        option_success: [
            {
                option: {
                    id: 396827,
                    type: "DHCPClient",
                    name: "ntp-server",
                    ...
                },
                option: {
                    id: 396828,
                    type: "DHCPVendorClient",
                    name: "test",
                    ...
                }
            }
        ],
        option_fail: []
    }
}